export declare function useDebouncedValue<T = any>({ value, options, wait, fn, }: {
    value: T;
    wait: number;
    options: {
        leading: false;
    } | undefined;
    fn?: () => void;
}): {
    readonly _value: T;
    readonly cancel: () => void;
    readonly loading: boolean;
};
